com.h3c.of.lib.msg

## Class OfmMutableSetConfig

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmSetConfig
      - - com.h3c.of.lib.msg.OfmMutableSetConfig

- All Implemented Interfaces:
    Message, MutableMessage, MutableObject, Structure

      public class OfmMutableSetConfig
      extends OfmSetConfig
      implements MutableMessage

  Mutable subclass of `OfmSetConfig`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearXid()` Clears the transaction ID field of this message (sets it to 0).
    `Set<ConfigFlag>` | `getFlags()` Returns the set of configuration flags.
    `int` | `getMissSendLength()` Returns the "miss send" length; Since 1.0.
    `void` | `setConfigFlags(Set<ConfigFlag> flags)` Sets the set of configuration flags (may be null).
    `void` | `setMissSendLength(int missSendLength)` Sets the miss-send-length (u16).
    `OpenflowMessage` | `toImmutable()` Returns an immutable instance of this message.
    `String` | `toString()`
    `boolean` | `writable()` Returns true if this mutable object is still writable.

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, toDebugString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.msg.Message

      `getType, getXid`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### clearXid

          public void clearXid()

      Description copied from interface: `MutableMessage`
      Clears the transaction ID field of this message (sets it to 0).
      Specified by:
        `clearXid` in interface `MutableMessage`

    - #### toImmutable

          public OpenflowMessage toImmutable()

      Description copied from interface: `MutableMessage`
      Returns an immutable instance of this message. In essence, converts this message to be read-only.

      It is expected that the reference to this mutable message will be dropped. Note that all method calls invoked on a `MutableMessage` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Specified by:
        `toImmutable` in interface `MutableMessage`
      Returns:
        an immutable instance of this message.

    - #### writable

          public boolean writable()

      Description copied from interface: `MutableObject`
      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Specified by:
        `writable` in interface `MutableObject`
      Returns:
        true if this mutable object is still writable

    - #### toString

          public String toString()

    - #### setConfigFlags

          public void setConfigFlags(Set<ConfigFlag> flags)

      Sets the set of configuration flags (may be null).
      Parameters:
        `flags` - the config flags
      Throws:
        `InvalidMutableException` - if this instance is no longer writable

    - #### setMissSendLength

          public void setMissSendLength(int missSendLength)

      Sets the miss-send-length (u16).
      Parameters:
        `missSendLength` - the miss send length
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `IllegalArgumentException` - if missSendLength is not u16

    - #### getFlags

          public Set<ConfigFlag> getFlags()

      Returns the set of configuration flags.
      Returns:
        the config flags

    - #### getMissSendLength

          public int getMissSendLength()

      Returns the "miss send" length; Since 1.0. This is the maximum number of bytes of the packet that the switch should send to the controller.
      Returns:
        the "miss send" length

Copyright © 2014. All Rights Reserved.